<?php 
/*
Plugin Name: Image Banner Widget
Plugin URI: http://shailan.com/wordpress/plugins/image-banner-widget
Description: This simple widget is intended for simplest use of image banners. You can use this widget to put image banners on your site. You can find more widgets, plugins and themes at <a href="shailan.com">http://shailan.com</a>.
Version: 1.0
Author: Matt Say
Author URI: http://shailan.com
*/

/**
 * Banner Widget Class
 */
 
if(!class_exists('shailan_BannerWidget')){
	class shailan_BannerWidget extends WP_Widget {
		/** constructor */
		function shailan_BannerWidget() {
			$widget_ops = array('classname' => 'shailan_banner_widget', 'description' => __( 'Image only banner' ) );
			$this->WP_Widget('banner', __('Image Banner Widget'), $widget_ops);
			$this->alt_option_name = 'widget_banner';	
		}

		/** @see WP_Widget::widget */
		function widget($args, $instance) {		
			extract( $args );
			$title = apply_filters('widget_title', $instance['title']);
			$url = $instance['url'];
			//$width = $instance['width'];
			//$height = $instance['height'];
			$link = $instance['link'];
			$category = $instance['category'];
			
			echo $before_widget;
			
			// If category based
			$cat = get_query_var('cat');
			$cat = &get_category( $cat );
			$cat_name = $cat->slug;
					
			if( ( is_category() || is_single() ) && (in_category( $category, $post->ID ) || $cat_name == $category) || $category == 'shailan-show-all-categories'){					
			
			 ?>
			
			<?php if ( $title )
				echo $before_title . $title . $after_title; ?>
				
			<a href="<?php echo $link; ?>"><img src="<?php echo $url; ?>" <?php /* width="<?php echo $width; ?>" height="<?php echo $height; ?>" */ ?> alt="" title="<?php echo $title; ?>" class="banner-image" /></a>
			
			<?php echo $after_widget; 
			
			}
		}

		/** @see WP_Widget::update */
		function update($new_instance, $old_instance) {				
			return $new_instance;
		}

		/** @see WP_Widget::form */
		function form($instance) {				
			$url = $instance['url'];
			//$width = $instance['width'];
			//$height = $instance['height'];
			$link = $instance['link'];
							
			if(strlen($url)>0){
			?>
				<p><div class="thumb" style="overflow:hidden; height:40px; position:relative; float:right;">Preview: <img src="<?php echo $url ?>" width="40" /></div></p>
				
			<?php } ?>
			
				<p><label for="<?php echo $this->get_field_id('url'); ?>"><?php _e('Image URL:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" type="text" value="<?php echo $url; ?>" /></label><br /> 
			<small>Enter image URL here. <br />(Eg. http://shailan.com/mybanner.jpg)</small></p>
				<!-- <p><label for="<?php echo $this->get_field_id('width'); ?>"><?php _e('Width:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('width'); ?>" name="<?php echo $this->get_field_name('width'); ?>" type="text" value="<?php echo $width; ?>" /></label></p>
				<p><label for="<?php echo $this->get_field_id('height'); ?>"><?php _e('Height:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('height'); ?>" name="<?php echo $this->get_field_name('height'); ?>" type="text" value="<?php echo $height; ?>" /></label></p> -->
				<p><label for="<?php echo $this->get_field_id('link'); ?>"><?php _e('Link:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('link'); ?>" name="<?php echo $this->get_field_name('link'); ?>" type="text" value="<?php echo $link; ?>" /></label><br /> 
			<small>Enter link address here.</small></p>
			
			<p><label for="<?php echo $this->get_field_id('category'); ?>"><?php _e('Display for:'); ?><select name="<?php echo $this->get_field_name('category'); ?>" id="<?php echo $this->get_field_id('category'); ?>" > 	
				<option value="shailan-show-all-categories" <?php if('shailan-show-all-categories' == $instance['category']){ echo "selected=\"selected\""; } ?> >All categories</option>
 <?php 
  $categories = get_categories(''); 
  foreach ($categories as $cat) {  
  	$option = '<option value="'.$cat->category_nicename .'" '. ( $cat->category_nicename == $instance['category'] ? ' selected="selected"' : '' ) .'>';
	$option .= $cat->cat_name;
	$option .= '</option>\n';
	echo $option;
  }
 ?>
</select></label></p>
			
		<div class="widget-control-actions alignright">
		<p><small><a href="http://shailan.com/wordpress/plugins/image-banner-widget">Visit plugin site</a></small></p>
		</div>		
			
				<div class="clear"></div>
				
			<?php 
			
			
		}

	} // class shailan.LoopWidget
}
// register widget
add_action('widgets_init', create_function('', 'return register_widget("shailan_BannerWidget");'));